package com.lukouguoji.gjc.activity

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.alibaba.android.arouter.facade.annotation.Route
import com.lukouguoji.gjc.R
import com.lukouguoji.gjc.databinding.ActivityGjcBoxWeighingBinding
import com.lukouguoji.gjc.viewModel.GjcBoxWeighingViewModel
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.common.ConstantEvent
import com.lukouguoji.module_base.impl.FlowBus
import com.lukouguoji.module_base.impl.observe
import com.lukouguoji.module_base.ktx.getLifecycleOwner
import com.lukouguoji.module_base.router.ARouterConstants

/**
 * 国际出港板箱过磅列表页
 */
@Route(path = ARouterConstants.ACTIVITY_URL_GJC_BOX_WEIGHING)
class GjcBoxWeighingActivity :
    BaseBindingActivity<ActivityGjcBoxWeighingBinding, GjcBoxWeighingViewModel>() {

    override fun layoutId() = R.layout.activity_gjc_box_weighing

    override fun viewModelClass() = GjcBoxWeighingViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国际出港板箱过磅")

        binding.viewModel = viewModel

        // 绑定分页逻辑
        viewModel.pageModel
            .bindSmartRefreshLayout(binding.srl, binding.rv, viewModel, getLifecycleOwner())

        // 监听刷新事件
        FlowBus.with<String>(ConstantEvent.EVENT_REFRESH)
            .observe(this) {
                viewModel.refresh()
            }

        // 初始加载
        viewModel.refresh()
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, GjcBoxWeighingActivity::class.java)
            context.startActivity(starter)
        }
    }
}
